Test NTRIP caster credentials​
POST
/devices/{id}/rtk/ntrip/test
Test credentials by opening a live connection to the caster without storing them. Verifies authentication and optionally checks for RTCM data coverage.
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
Device ID
Type
Requiredinteger
Request Body​
application/json
JSON"alt": 0,"host": "string","lat": 0,"lng": 0,"mountpoint": "string","password": "string","port": 0,"username": "string"
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
info:
title: Lightbug API
version: '2'
externalDocs:
description: ''
url: ''
openapi: 3.1.0
servers:
- url: https://api.lightbug.cloud/v2
security:
- ApiKeyAuth: []
tags: []
paths:
/devices/{id}/rtk/ntrip/test:
post:
description: Test credentials by opening a live connection to the caster without storing them. Verifies authentication and optionally checks for RTCM data coverage.
parameters:
- description: Device ID
in: path
name: id
required: true
schema:
type: integerrequestBody:
yaml
content:
application/json:
schema:
properties:
alt:
type: number
host:
maxLength: 255
type: string
lat:
type: number
lng:
type: number
mountpoint:
maxLength: 45
type: string
password:
maxLength: 45
type: string
port:
maximum: 65535
minimum: 1
type: integer
username:
maxLength: 45
type: string
required:
- host
- mountpoint
- password
- port
- username
type: object
description: NTRIP credentials to test. Optional lat, lng, and alt can be provided to check for RTCM data coverage.
required: trueyaml
responses:'200':
yaml
content:
application/json:
schema:
additionalProperties: {}
type: object
description: Status OK with receivedData indicator'400':
yaml
content:
application/json:
schema:
additionalProperties:
type: string
type: object
description: Invalid device ID or request body'401':
yaml
content:
application/json:
schema:
additionalProperties:
type: string
type: object
description: Unauthorized'404':
yaml
content:
application/json:
schema:
additionalProperties:
type: string
type: object
description: Device not found'502':
yaml
content:
application/json:
schema:
additionalProperties:
type: string
type: object
description: NTRIP connection failed (auth rejected, host unreachable, etc.)yaml
security:
- ApiKeyAuth: []
summary: Test NTRIP caster credentials
tags:
- rtk
operationId: post-devices-id-rtk-ntrip-test
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...